Page MenuHomePhabricator

Site: eqiad/codfw 2 VM request for miscweb
Closed, ResolvedPublic

Description

Labs Project Tested: devtools (if needed)
Site/Location: EQIAD, CODFW
Number of systems: 2 total, 1 per DC
Service: miscweb (miscweb1002.eqiad.wmnet, miscweb2002.codfw.wmnet)
Networking Requirements: internal
Processor Requirements: 1
Memory: 2GB
Disks: 20GB
Other Requirements: -

This is just a replacement for the existing miscweb1001/2001 with the same requirements as the existing VMs.

The purpose is to move from stretch to buster. There are 3 apps on it which we might or might not keep -> T247648.

But we want to keep racktables for sure per T247646 so at a minimum it would be for that.

Event Timeline

Dzahn triaged this task as Low priority.Mar 17 2020, 6:10 PM

Change 583604 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add miscweb1002.eqiad.wmnet

https://gerrit.wikimedia.org/r/583604

Change 583604 merged by Dzahn:
[operations/dns@master] add miscweb1002.eqiad.wmnet

https://gerrit.wikimedia.org/r/583604

Mentioned in SAL (#wikimedia-operations) [2020-03-26T15:01:19Z] <mutante> T247887 - create Ganeti VM miscweb1002.eqiad.wmnet in the ganeti01.svc.eqiad.wmnet cluster on row C with 1 vCPUs, 2GB of RAM, 20GB of disk in the private network.

Change 583617 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] DHCP: add miscweb1001.eqiad.wmnet

https://gerrit.wikimedia.org/r/583617

Change 583617 merged by Dzahn:
[operations/puppet@production] DHCP: add miscweb1001.eqiad.wmnet

https://gerrit.wikimedia.org/r/583617

Change 583662 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site: add miscweb1002 with insetup role

https://gerrit.wikimedia.org/r/583662

Change 583662 merged by Dzahn:
[operations/puppet@production] site: add miscweb1002 with insetup role

https://gerrit.wikimedia.org/r/583662

Mentioned in SAL (#wikimedia-operations) [2020-03-26T16:15:29Z] <mutante> signing puppet cert for miscweb1002, installed buster, added insetup role (T247887)

Change 583667 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] add webserver_misc_apps role to miscweb1002

https://gerrit.wikimedia.org/r/583667

Change 583675 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] misc_apps/httpd: add support for PHP on buster

https://gerrit.wikimedia.org/r/583675

Change 583667 merged by Dzahn:
[operations/puppet@production] add webserver_misc_apps role to miscweb1002

https://gerrit.wikimedia.org/r/583667

Change 583675 merged by Dzahn:
[operations/puppet@production] misc_apps/httpd: add support for PHP on buster

https://gerrit.wikimedia.org/r/583675

Change 583895 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] wikimania_scholarships: fix php-mysql installation on buster

https://gerrit.wikimedia.org/r/583895

Change 583898 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] iegreview: if on buster, use mariadb-client instead of mysql-client

https://gerrit.wikimedia.org/r/583898

Change 583899 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] racktables: fix php.ini path for buster support

https://gerrit.wikimedia.org/r/583899

Change 583900 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add IPv6 for miscweb1002.eqiad.wmnet

https://gerrit.wikimedia.org/r/583900

Change 583900 merged by Dzahn:
[operations/dns@master] add IPv6 for miscweb1002.eqiad.wmnet

https://gerrit.wikimedia.org/r/583900

Change 583970 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add miscweb2002.codfw.wmnet

https://gerrit.wikimedia.org/r/583970

Change 583970 merged by Dzahn:
[operations/dns@master] add miscweb2002.codfw.wmnet

https://gerrit.wikimedia.org/r/583970

Change 584566 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] DHCP: add miscweb2002.codfw.wmnet

https://gerrit.wikimedia.org/r/584566

Change 584566 merged by Dzahn:
[operations/puppet@production] DHCP: add miscweb2002.codfw.wmnet

https://gerrit.wikimedia.org/r/584566

Mentioned in SAL (#wikimedia-operations) [2020-03-30T11:42:12Z] <mutante> miscweb2002 - race condition with apache2 mpm and php7.3 module met - a2dismond mpm_event ; systemctl restart apache2 ; puppet agent -tv (also see T196968, https://gerrit.wikimedia.org/r/c/operations/puppet/+/451206) T247887

Dzahn claimed this task.
Dzahn removed a project: Patch-For-Review.